> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-images/api-for-aux-images.md).

# API for Aux Images

Description of aux images management via API.

An **Aux image** is an image that is generated by algorithms and contains specific information extracted from the original image.

The most used aux image is `restored selfie front face RGBA` image. Which is a standardized image extracted from original selfie. It is a centered, rotated face image extracted from original selfie.

## What can you do?

* [List aux images for image](#list-aux-images-for-image)
* [Extract aux images from subject's images list](#extract-aux-images-from-subjects-images-list)
* [Extract aux images from image info](#extract-aux-images-from-image-info)

## List aux images for image

{% openapi src="/files/YmTvOjpvwq9jx4lAuJV9" path="/api/v1/companies/{company\_id}/images/{image\_id}/aux\_images/" method="get" %}
[openapi.json](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MWxBX_zB4FnflOpyBGO%2Fuploads%2FRF3DdAp7DPLxOGdzKdfj%2Fopenapi.json?alt=media\&token=805fe368-c61f-4e86-bf72-e2de9d7d6e61)
{% endopenapi %}

This method returns all generated aux images for selected image. You can apply additional filters:

* `algo_app` — filter by application name which generated this aux image (e.g. Face Skin Metrics 2.0). It implements case insensitive sub-string search, so if you need only Face Skin Metrics 2.0 related aux images, you can simply use a word `face`.
* `aux_image_type` — filter by aux image type tech name (e.g. `selfie_front_face_restored_rgba`). It implements case insensitive sub-string search, so if you need only restored aux images, you can simply use a word `restored`.

***

## Extract aux images from subject's images list

If you use this method ([link](/haut.ai/developers/saas-api-overview/api-for-images.md#list-subject-images)), you can see that each image record returned in API response already contains aux images in it. Only drawback is that you can't filter aux images by app or type here.

***

## Extract aux images from image info

If you use this method ([link](/haut.ai/developers/saas-api-overview/api-for-images.md#get-image-info)), you can see that image record returned in API response already contains aux images in it. Only drawback is that you can't filter aux images by app or type here.

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-images/api-for-aux-images.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
